ilstrip(1)

NAME
ilstrip - strip debug symbols from Intermediate Language (IL) programs

SYNOPSIS
ilstrip [ options ] input ...

DESCRIPTION
Ilstrip strips the debug symbol information from an IL executable (.exe) or an IL dynamic link library (.dll).

OPTIONS

-o file, --output file
    Specify the output filename. By default the stripped version of a file overwrites the original name.

-p, --preserve-dates
    Preserve the original access and modification times on the input files.

-v, --verbose
    List all files as they are modified.

--help
    Print a usage message for the ilstrip program.

-V, --version
    Print the version of the ilstrip program.

--  Marks the end of the command-line options, and the beginning of the input filenames. You may need to use this if your filename begins with '-'. e.g. "ilstrip -- -input.exe". This is not needed if the input is stdin: "ilstrip -" is perfectly valid.

AUTHOR
Written by Southern Storm Software, Pty Ltd. http://www.southern-storm.com.au/

SEE ALSO
ilsize(1), ilfind(1), ilasm(1), strip(1)

DIAGNOSTICS
Exit status is 1 if an error occurred while processing the input. Otherwise the exit status is 0. See the manual page for ilsize(1) for a complete list of errors that may occur when loading an IL image file.